summaryrefslogtreecommitdiff
path: root/Biz
diff options
context:
space:
mode:
Diffstat (limited to 'Biz')
-rw-r--r--Biz/Bild/ShellHook.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/Biz/Bild/ShellHook.sh b/Biz/Bild/ShellHook.sh
index 7f82286..019c5a3 100644
--- a/Biz/Bild/ShellHook.sh
+++ b/Biz/Bild/ShellHook.sh
@@ -3,6 +3,7 @@ function help() {
echo "bizdev" | figlet | lolcat
echo ""
echo " bild compile code"
+ echo " ci run all builds and tests"
echo " deps manage dependencies with niv"
echo " ghci start ghci with correct options"
echo " help show this message"
@@ -95,4 +96,26 @@ function ship() {
done
}
+# Poor man's ci
+function ci() {
+ set -e
+ lint
+ stuff=(
+ Biz/Pie.hs
+ Biz/Pie.nix
+ Biz/Cloud.nix
+ Biz/Dev.nix
+ Que/Site.hs
+ Que/Host.hs
+ Que/Prod.nix
+ Hero/Host.hs
+ Hero/Node.hs
+ Hero/Prod.nix
+ )
+ for thing in ${stuff[@]}
+ do
+ bild $thing
+ done
+}
+
help